## mpage 2.4

=== Makefile ===
#
# mpage:	A program to reduce pages of print so that several pages
# 	  	of output appear on one sheet of paper.
#
# Copyright (c) 1988 Mark P. Hahn, Herndon, Virginia
# Copyright (c) 1994-1996 Marcel J.E. Mol, Rijswijk, The Netherlands
#                    marcel@mesa.nl
#     
# Written by:
#   ...!uunet!\                       Mark Hahn, Sr Systems Engineer
#              >pyrdc!mark            Pyramid Technology Corporation
# ...!pyramid!/                       Vienna, Va    (703)848-2050
#
#
#     Permission is granted to anyone to make or distribute verbatim
#     copies of this document as received, in any medium, provided
#     that this copyright notice is preserved, and that the
#     distributor grants the recipient permission for further
#     redistribution as permitted by this notice.
#
#  
#     Marcel Mol                     MESA Consulting
#     Karel Doormanlaan 58           P.o. box 9
#     2283 AT Rijswijk               2270 AA Voorburg
#     The Netherlands                The Netherlands
#     phone: 070-3361515             phone: +31-6-54724868
#     marcel@mesa.nl                 info@mesa.nl
#  

# Set this to an ANSI compatible C compiler (preferably gcc)
#CC=cc
CC=gcc


#
# Define your favorite page size:
#          PAGE_LETTER for US letter
#          PAGE_LEGAL for legal
#          PAGE_A4 for European A4
#
PAGESIZE=PAGE_A4

#
# Define your spooler type
#          ATT_SPOOLER for 'lp ...' type printing
#          BSD_SPOOLER for 'lpr ..' tpye printing
#
SPOOL_TYPE=BSD_SPOOLER

# PREFIX=e:/usr		# OS/2 type
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib
MANDIR=$(PREFIX)/man/man1


# Unix extensions
E = 
O = .o
# OS/2 and MSDOS extensions
# E = .exe
# O = .obj
# pattern rules (OS/2)
# %$(O): %.c
#       $(CC) $(CFLAGS) -c -o $@ $<

#
# A default encoding is given in encoding.h. Setting ENCODING=1 will
# activate this encoding by default. 0 switches default off.
# The -C option (without subargument) can be used to switch.
#
ENCODING=1


#
# Set the default sheet margin in 1/72 inches. 
#
SHEETMARGIN=20 


DEFS = -DPAGE_DEF=${PAGESIZE} -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}

# Choose one of the following CFLAGS definitions:
# If you are using gcc, you probably don't need to change anything here.

# Linux:
CFLAGS = -O2 -s $(DEFS) -Wall

# AIX (xlC on aix 4):
#CFLAGS = -O2 -s $(DEFS)

# SunOS 4.1.3_U1 1 sun4m (gcc 2.7.2)
#CFLAGS = -O2 -s $(DEFS) -D__USE_FIXED_PROTOTYPES__ -Wall

# SunOS 4.1.3_U1 1 sun4m (standard C-compiler (NOTE: sample.c will not
#     compile, since the standard cc is not ANSI-standard)
#CFLAGS = -O2 -s $(DEFS)

# HP-UX A.09.01 A 9000/735 (standard cc)
#CFLAGS = -Aa +O3 -s $(DEFS) -D_INCLUDE_POSIX_SOURCE -Wall

#
# END OF CONFIGURATION OPTIONS
#


HEAD =  mpage.h
DENC =  encoding.h
SRCS =  mpage.c glob.c text.c post.c file.c page.c args.c
MOBJ =  mpage$(O) glob$(O) text$(O) post$(O) file$(O) page$(O) args$(O)
SMPL =  sample.c page.c glob.c args.c
SOBJ =  sample$(O) page$(O) glob$(O) args$(O)

default:	mpage$(E) msample$(E)
	@echo Done!

mpage$(E):	$(MOBJ)
	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) ${LIBS}

msample$(E):	$(SOBJ)
	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ)

clean:
	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) make.log core

mpage$(O):	$(HEAD) $(DENC) mpage.c
glob$(O):	$(HEAD) glob.c
text$(O):	$(HEAD) text.c
post$(O):	$(HEAD) post.c
file$(O):	$(HEAD) file.c
page$(O):	$(HEAD) page.c
args$(O):	$(HEAD) args.c
sample$(O):	$(HEAD) sample.c

mpage.ps:	mpage.1
	psroff -t -man mpage.1 > mpage.ps


#
# add your proper install stuff
#
install:
	cp mpage$(E) $(BINDIR)
	cp mpage.1 $(MANDIR)
	if [ ! -d $(LIBDIR)/mpage ] ; then mkdir $(LIBDIR)/mpage ; fi
	-cp Encodings/* $(LIBDIR)/mpage

## mpage 2.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # 	  	of output appear on one sheet of paper.
 #
 # Copyright (c) 1988 Mark P. Hahn, Herndon, Virginia
-# Copyright (c) 1994-1996 Marcel J.E. Mol, Rijswijk, The Netherlands
+# Copyright (c) 1994-1997 Marcel J.E. Mol, The Netherlands
 #                    marcel@mesa.nl
 #     
 # Written by:
@@ -20,17 +20,23 @@
 #
 #  
 #     Marcel Mol                     MESA Consulting
-#     Karel Doormanlaan 58           P.o. box 9
-#     2283 AT Rijswijk               2270 AA Voorburg
+#     Hogeveenseweg 12               P.o. box 9
+#     2631 PH Nootdorp               2270 AA Voorburg
 #     The Netherlands                The Netherlands
-#     phone: 070-3361515             phone: +31-6-54724868
+#     phone: 015-3101310             phone: +31-6-54724868
 #     marcel@mesa.nl                 info@mesa.nl
 #  
 
 # Set this to an ANSI compatible C compiler (preferably gcc)
+# See also system specific settings below
 #CC=cc
 CC=gcc
 
+############################################################################
+#
+#  MPAGE Configuration
+#
+############################################################################
 
 #
 # Define your favorite page size:
@@ -38,6 +44,7 @@
 #          PAGE_LEGAL for legal
 #          PAGE_A4 for European A4
 #
+# PAGESIZE=PAGE_LETTER
 PAGESIZE=PAGE_A4
 
 #
@@ -53,24 +60,12 @@
 LIBDIR=$(PREFIX)/lib
 MANDIR=$(PREFIX)/man/man1
 
-
-# Unix extensions
-E = 
-O = .o
-# OS/2 and MSDOS extensions
-# E = .exe
-# O = .obj
-# pattern rules (OS/2)
-# %$(O): %.c
-#       $(CC) $(CFLAGS) -c -o $@ $<
-
 #
 # A default encoding is given in encoding.h. Setting ENCODING=1 will
 # activate this encoding by default. 0 switches default off.
 # The -C option (without subargument) can be used to switch.
 #
 ENCODING=1
-
 
 #
 # Set the default sheet margin in 1/72 inches. 
@@ -80,7 +75,39 @@
 
 DEFS = -DPAGE_DEF=${PAGESIZE} -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}
 
-# Choose one of the following CFLAGS definitions:
+############################################################################
+#
+#  OPERATING SYSTEM SETUP
+#
+############################################################################
+
+# Unix extensions
+E = 
+O = .o
+DEF_FILE =
+
+# OS/2:
+# CFLAGS = -O2 -s -DOS2 $(DEFS) -Wall
+# LIBS   = -Zomf -Zcrtdll
+# DEF_FILE = mpage.defM
+
+# E = .exe
+# O = .o
+# pattern rules (OS/2)
+# %$(O): %.c
+#	$(CC) $(CFLAGS) -c -o $@ $<
+
+# MSDOS extensions
+# E = .exe
+# O = .obj
+
+############################################################################
+#
+#  UNIXEN SPECIFICS
+#
+############################################################################
+
+# Choose one of the following CFLAGS/CC definitions:
 # If you are using gcc, you probably don't need to change anything here.
 
 # Linux:
@@ -99,6 +126,10 @@
 # HP-UX A.09.01 A 9000/735 (standard cc)
 #CFLAGS = -Aa +O3 -s $(DEFS) -D_INCLUDE_POSIX_SOURCE -Wall
 
+# BeOS
+#CFLAGS= -O2 $(DEFS)
+
+############################################################################
 #
 # END OF CONFIGURATION OPTIONS
 #
@@ -115,10 +146,10 @@
 	@echo Done!
 
 mpage$(E):	$(MOBJ)
-	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) ${LIBS}
+	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) $(LIBS) $(DEF_FILE)
 
 msample$(E):	$(SOBJ)
-	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ)
+	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ) $(LIBS) $(DEF_FILE)
 
 clean:
 	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) make.log core

## mpage 2.5.1pre

=== Makefile ===
--- 
+++ 
@@ -40,12 +40,13 @@
 
 #
 # Define your favorite page size:
-#          PAGE_LETTER for US letter
-#          PAGE_LEGAL for legal
-#          PAGE_A4 for European A4
+#          Letter for US letter
+#          Legal for legal
+#          A4 for European A4
+#  See glob.c for all possibilities
 #
-# PAGESIZE=PAGE_LETTER
-PAGESIZE=PAGE_A4
+# PAGESIZE=Letter
+PAGESIZE=A4
 
 #
 # Define your spooler type
@@ -73,7 +74,8 @@
 SHEETMARGIN=20 
 
 
-DEFS = -DPAGE_DEF=${PAGESIZE} -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}
+DEFS = -DPAGE_DEF=\"${PAGESIZE}\" -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}
+
 
 ############################################################################
 #
@@ -84,18 +86,13 @@
 # Unix extensions
 E = 
 O = .o
-DEF_FILE =
 
 # OS/2:
-# CFLAGS = -O2 -s -DOS2 $(DEFS) -Wall
-# LIBS   = -Zomf -Zcrtdll
+# CFLAGS = -O2 $(DEFS) -Wall
+# LIBS   = -Zcrtdll -s
 # DEF_FILE = mpage.defM
-
 # E = .exe
 # O = .o
-# pattern rules (OS/2)
-# %$(O): %.c
-#	$(CC) $(CFLAGS) -c -o $@ $<
 
 # MSDOS extensions
 # E = .exe
@@ -134,6 +131,10 @@
 # END OF CONFIGURATION OPTIONS
 #
 
+# pattern rules. Should we define these?
+%$(O): %.c
+	$(CC) $(CFLAGS) -c -o $@ $<
+
 
 HEAD =  mpage.h
 DENC =  encoding.h
@@ -146,10 +147,10 @@
 	@echo Done!
 
 mpage$(E):	$(MOBJ)
-	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) $(LIBS) $(DEF_FILE)
+	$(CC) $(CFLAGS) -o mpage$(E) $(MOBJ) $(LIBS)
 
 msample$(E):	$(SOBJ)
-	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ) $(LIBS) $(DEF_FILE)
+	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ) $(LIBS)
 
 clean:
 	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) make.log core
@@ -171,7 +172,10 @@
 # add your proper install stuff
 #
 install:
+	if [ ! -d $(LIBDIR)/mpage ] ; then mkdir -p $(LIBDIR)/mpage ; fi
+	if [ ! -d $(BINDIR) ] ; then mkdir -p $(BINDIR) ; fi
+	if [ ! -d $(MANDIR) ] ; then mkdir -p $(MANDIR) ; fi
 	cp mpage$(E) $(BINDIR)
 	cp mpage.1 $(MANDIR)
-	if [ ! -d $(LIBDIR)/mpage ] ; then mkdir $(LIBDIR)/mpage ; fi
 	-cp Encodings/* $(LIBDIR)/mpage
+	-chmod 644 $(LIBDIR)/mpage/*

## mpage 2.5.3

=== Makefile ===
--- 
+++ 
@@ -2,29 +2,23 @@
 # mpage:	A program to reduce pages of print so that several pages
 # 	  	of output appear on one sheet of paper.
 #
+# Copyright (c) 1994-1999 Marcel J.E. Mol, The Netherlands
 # Copyright (c) 1988 Mark P. Hahn, Herndon, Virginia
-# Copyright (c) 1994-1997 Marcel J.E. Mol, The Netherlands
-#                    marcel@mesa.nl
 #     
-# Written by:
-#   ...!uunet!\                       Mark Hahn, Sr Systems Engineer
-#              >pyrdc!mark            Pyramid Technology Corporation
-# ...!pyramid!/                       Vienna, Va    (703)848-2050
-#
-#
 #     Permission is granted to anyone to make or distribute verbatim
 #     copies of this document as received, in any medium, provided
 #     that this copyright notice is preserved, and that the
 #     distributor grants the recipient permission for further
 #     redistribution as permitted by this notice.
 #
-#  
 #     Marcel Mol                     MESA Consulting
-#     Hogeveenseweg 12               P.o. box 9
-#     2631 PH Nootdorp               2270 AA Voorburg
-#     The Netherlands                The Netherlands
-#     phone: 015-3101310             phone: +31-6-54724868
+#                                    P.o. box 112
+#                                    2630 AC Nootdorp
+#                                    The Netherlands
+#                                    phone: +31-6-54724868
 #     marcel@mesa.nl                 info@mesa.nl
+#                                    http://www.mesa.nl/pub/mpage
+#                                    ftp://ftp.mesa.nl/pub/mpage
 #  
 
 # Set this to an ANSI compatible C compiler (preferably gcc)
@@ -57,8 +51,9 @@
 
 # PREFIX=e:/usr		# OS/2 type
 PREFIX=/usr/local
+#PREFIX=/usr
 BINDIR=$(PREFIX)/bin
-LIBDIR=$(PREFIX)/lib
+LIBDIR=$(PREFIX)/share
 MANDIR=$(PREFIX)/man/man1
 
 #
@@ -71,10 +66,14 @@
 #
 # Set the default sheet margin in 1/72 inches. 
 #
-SHEETMARGIN=20 
+SHEETMARGIN=18 
 
+#
+# Set intial duplex mode
+#
+DEFAULT_DUPLEX=0
 
-DEFS = -DPAGE_DEF=\"${PAGESIZE}\" -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE}
+DEFS = -DPAGE_DEF=\"${PAGESIZE}\" -DLIBDIR=\"${LIBDIR}/mpage\" -DDEFAULT_ENCODING=${ENCODING} -DDEFAULT_DUPLEX=${DEFAULT_DUPLEX} -DDEFAULTSMARGIN=${SHEETMARGIN} -DSPOOLER=${SPOOL_TYPE} # -DKANJI
 
 
 ############################################################################
@@ -138,12 +137,12 @@
 
 HEAD =  mpage.h
 DENC =  encoding.h
-SRCS =  mpage.c glob.c text.c post.c file.c page.c args.c
-MOBJ =  mpage$(O) glob$(O) text$(O) post$(O) file$(O) page$(O) args$(O)
+SRCS =  mpage.c glob.c text.c post.c file.c page.c args.c util.c
+MOBJ =  mpage$(O) glob$(O) text$(O) post$(O) file$(O) page$(O) args$(O) util$(O)
 SMPL =  sample.c page.c glob.c args.c
 SOBJ =  sample$(O) page$(O) glob$(O) args$(O)
 
-default:	mpage$(E) msample$(E)
+default:	mpage$(E) msample$(E) mpage.1
 	@echo Done!
 
 mpage$(E):	$(MOBJ)
@@ -152,8 +151,10 @@
 msample$(E):	$(SOBJ)
 	$(CC) $(CFLAGS) -o msample$(E) $(SOBJ) $(LIBS)
 
+mpage.1: mpage.1.in
+	sed 's:PREFIX:${PREFIX}:' < mpage.1.in > mpage.1
 clean:
-	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) make.log core
+	rm -rf $(MOBJ) mpage$(E) mpage.ps $(SOBJ) msample$(E) mpage.1 make.log core
 
 mpage$(O):	$(HEAD) $(DENC) mpage.c
 glob$(O):	$(HEAD) glob.c
@@ -162,6 +163,7 @@
 file$(O):	$(HEAD) file.c
 page$(O):	$(HEAD) page.c
 args$(O):	$(HEAD) args.c
+util$(O):	$(HEAD) util.c
 sample$(O):	$(HEAD) sample.c
 
 mpage.ps:	mpage.1

## mpage 2.5.6%2Bdfsg

=== debian/changelog ===
mpage (2.5.6+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Added the 'dfsg' suffix.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/README.source: created to explain about the dfsg action.
  * debian/watch: added a mangle rule to handle the '+dfsg' suffix.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Oct 2015 23:15:20 -0200

mpage (2.5.6-3) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - DH level to 9.
      - debian/rules to new (reduced) format.
  * debian/control:
      - Added the ${misc:Depends} variable to Depends field.
      - Removed unnecessary dependency quilt from Build-Depends field.
  * debian/dirs: added to create a necessary dir.
  * debian/docs: added to install some upstream docs.
  * debian/install: added to install some files from upstream.
  * debian/manpages: added to install the manpages.
  * debian/patches/:
      - Added headers to all patches.
      - Added the '.patch' extension to all patches.
      - Created 40_add_GCC_hardening.patch to add GCC hardening.
      - Updated 01_previous_changes.patch to use a new value for LIBDIR.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Oct 2015 21:40:15 -0200

mpage (2.5.6-2) unstable; urgency=medium

  * QA upload.
  * Updated DebSrc to 3.0 format.
  * debian/control:
      - Added the Homepage field.
      - Bumped Standards-Version to 3.9.6.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 28 Aug 2015 09:54:51 -0300

mpage (2.5.6-1) unstable; urgency=low

  * QA upload
  * New upstream release; Closes: #471774
    - correctly handle '-t' option; thanks to Enrique Robledo Arnuncio for
      the report; Closes: #333936
  * debian/patches/01_previous_changes
    - added to remove direct source code changes
  * debian/control
    - set QA Group as maintainer
    - added quilt to build-dep
    - bump Standards-Version to 3.8.0
    - replaced suggests on gs with ghostscript (lintian warning)
    - versioned build-dep on debhelper
  * debian/compat
    - created with 5 value in it
  * debian/rules
    - removed DH_COMPAT
    - commented DH_VERBOSE
    - added quilt stuff
    - doesn't ignore clean error
    - added manpage installation
    - called make with $(MAKE) passing LIBDIR; Closes: #443280
  * debian/watch
    - added
  * debian/patches/10_bts354935_fix_fontdefs
    - fixed font definition; thanks to Simon Bowden for the patch;
      Closes: #354935
  * debian/patches/20_bts416573_manpage_fixes
    - fixed many typos and errors in the manpage; thanks to J S Bygott for the
      patch; Closes: #416573
  * debian/patches/30_bts443280_libdir_manpage
    - added to fix manpage for BTS Bug #443280

 -- Sandro Tosi <matrixhasu@gmail.com>  Tue, 12 Aug 2008 19:45:12 +0200

mpage (2.5.4-2) unstable; urgency=low

  * use /tmp not /usr/tmp for temporary files! (closes: #327293)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 13 Sep 2005 20:36:21 +0100

mpage (2.5.4-1) unstable; urgency=low

  * new upstream (closes: #306551)
  * added Greek encodings - thanks to Vassilis Virvilis (closes: #277544)

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 29 Aug 2005 14:51:07 +0100

mpage (2.5.3-2) unstable; urgency=low

  * patch from Andreas Jochens to fix compilation error with gcc-4.0
    (closes: #300269)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 19 Mar 2005 11:03:05 +0000

mpage (2.5.3-1) unstable; urgency=low

  * new upstream (closes: #152047, #171330)
  * now depends on libpaper1 not libpaperg (closes: #169484, #174893)
  * NB: old EPS fix dropped. source code has changed significantly and
    now appears to do this.

 -- Adrian Bridgett <bridgett@debian.org>  Sat,  4 Jan 2003 20:05:02 +0000

mpage (2.5.1pre-6) unstable; urgency=low

  * decided that the new libpaper might not fix it so we'll play safe
    and check the return of systempapername()
  
 -- Adrian Bridgett <bridgett@debian.org>  Sat, 24 Mar 2001 12:29:11 +0000

mpage (2.5.1pre-5) unstable; urgency=low

  * recompile to get new libpaperg shlibs that will then make mpage depend
    on the libpaper that stopped systempapername returning NULL (closes:
    #89924)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 24 Mar 2001 12:10:31 +0000

mpage (2.5.1pre-4) unstable; urgency=low

  * fix Build-Depends (closes: #83847)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  4 Feb 2001 18:37:27 +0000

mpage (2.5.1pre-3) unstable; urgency=low

  * many patches from Andrea Mennucci <mennucci@Tonelli.sns.it>:
     - skips an EPS files included in a postscript file,
       without mangling it (this happened if %%Page is present in
       the EPS file; eg., when a postscript produced by xfig is included
       in a latex file). This fix obsoletes the -k option.
     - -t/-T options (duplex/tumble) improved to better deal with strange
       printer defaults you may meet.
     - docs in /usr/share/doc.
		    
 -- Adrian Bridgett <bridgett@debian.org>  Mon, 10 Apr 2000 20:40:01 +0100

mpage (2.5.1pre-2) unstable; urgency=low

  * put Paul's changes in maintainer release (closes 27232)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  4 Oct 1998 20:05:10 +0100

mpage (2.5.1pre-1.1) unstable; urgency=low

  * non-maintainer (binary-only) upload for Alpha
  * make install target tried to mkdir /usr/lib/mpage if it didn't exist.
    It didn't.

 -- Paul Slootman <paul@debian.org>  Tue, 29 Sep 1998 21:22:52 +0200

mpage (2.5.1pre-1) unstable; urgency=low

  * new upstream release

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue,  1 Sep 1998 23:03:07 +0100

mpage (2.5-6) unstable frozen; urgency=low

  * make mp and psprint executable

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun, 22 Mar 1998 18:09:52 +0000

mpage (2.5-5) unstable; urgency=low

  * fix psprint example script 

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Mon,  9 Mar 1998 20:13:51 +0000

mpage (2.5-4) unstable; urgency=low

  * removed du file



## mpage 2.5.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # mpage:	A program to reduce pages of print so that several pages
 # 	  	of output appear on one sheet of paper.
 #
-# Copyright (c) 1994-1999 Marcel J.E. Mol, The Netherlands
+# Copyright (c) 1994-2004 Marcel J.E. Mol, The Netherlands
 # Copyright (c) 1988 Mark P. Hahn, Herndon, Virginia
 #     
 #     Permission is granted to anyone to make or distribute verbatim
@@ -125,6 +125,10 @@
 # BeOS
 #CFLAGS= -O2 $(DEFS)
 
+# OS X (10.2.2):
+#CFLAGS = -O2  $(DEFS) -Wall
+
+
 ############################################################################
 #
 # END OF CONFIGURATION OPTIONS

=== debian/control ===
Source: mpage
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libpaper-dev (>=1.0.4)
Standards-Version: 3.9.6
Homepage: http://www.mesa.nl

Package: mpage
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ghostscript
Description: print multiple pages per sheet on PostScript printer
 Mpage reads plain text files or PostScript documents and prints them
 on a PostScript printer with the text reduced in size so that several
 pages appear on one sheet of paper. This is useful for viewing large
 printouts on a small amount of paper. Uses ISO 8859.1 to print 8-bit
 characters.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	chmod 0755 $(CURDIR)/debian/mpage/usr/share/doc/mpage/Contrib/mp \
                   $(CURDIR)/debian/mpage/usr/share/doc/mpage/Contrib/psprint

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
http://www.mesa.nl/pub/mpage/mpage-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz))

opts=dversionmangle=s/\+dfsg// \
http://www.mesa.nl/download.html /pub/mpage/mpage-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz))
